## org.apache.hadoop.security.authorize
Interface RefreshAuthorizationPolicyProtocol

All Superinterfaces:
  VersionedProtocol

All Known Implementing Classes:
  JobTracker

    public interface RefreshAuthorizationPolicyProtocol

extends VersionedProtocol

Protocol which is used to refresh the authorization policy in use currently.

Field Summary
`static long` `versionID` Version 1: Initial version

Method Summary
`void` `refreshServiceAcl()` Refresh the service-level authorization policy in-effect.

Methods inherited from interface org.apache.hadoop.ipc.VersionedProtocol
`getProtocolVersion`

Field Detail

### versionID

    static final long versionID

  Version 1: Initial version

  See Also:
    Constant Field Values

Method Detail

### refreshServiceAcl

    void refreshServiceAcl()
                           throws IOException

  Refresh the service-level authorization policy in-effect.

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation